[TOSHIBA Satellite U400] suspend/resume failure

Bug #1290787 reported by Tim Richardson on 2014-03-11
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

does not resume (no backlight on LCD panel, for example)
seems to be caused by lightdm not by kernel; when
service lightdm stop
 bug is not reproduced by pm-suspend

ProblemType: KernelOops
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-17-generic 3.13.0-17.37
ProcVersionSignature: Ubuntu 3.13.0-17.37-generic 3.13.6
Uname: Linux 3.13.0-17-generic i686
Annotation: This occured during a previous suspend and prevented it from resuming properly.
ApportVersion: 2.13.3-0ubuntu1
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: katherine 1676 F.... pulseaudio
Date: Tue Mar 11 21:08:32 2014
ExecutablePath: /usr/share/apport/apportcheckresume
Failure: suspend/resume
HibernationDevice: RESUME=UUID=3dd143c7-add5-4b7b-8c26-bbd7446abb39
InstallationDate: Installed on 2013-11-09 (121 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release i386 (20131016.1)
InterpreterPath: /usr/bin/python3.4
MachineType: TOSHIBA Satellite U400
ProcCmdline: /usr/bin/python3 /usr/share/apport/apportcheckresume
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-17-generic root=UUID=9d9d9d28-df78-475d-af30-72b9ecb189be ro quiet splash vt.handoff=7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-17-generic N/A
 linux-backports-modules-3.13.0-17-generic N/A
 linux-firmware 1.126
SourcePackage: linux
Title: [TOSHIBA Satellite U400] suspend/resume failure
UpgradeStatus: Upgraded to trusty on 2014-03-02 (8 days ago)
UserGroups:

dmi.bios.date: 10/25/2010
dmi.bios.vendor: TOSHIBA
dmi.bios.version: V4.70
dmi.board.name: Satellite U400
dmi.board.vendor: TOSHIBA
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: TOSHIBA
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnTOSHIBA:bvrV4.70:bd10/25/2010:svnTOSHIBA:pnSatelliteU400:pvrPSU40A-01M001:rvnTOSHIBA:rnSatelliteU400:rvrNotApplicable:cvnTOSHIBA:ct10:cvrN/A:
dmi.product.name: Satellite U400
dmi.product.version: PSU40A-01M001
dmi.sys.vendor: TOSHIBA

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.13 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.14-rc6-trusty/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

3.13.6-031306-generic
kernel-bug-exists-upstream

tags: added: kernel-bug-exists-upstream
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report[0]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

Please follow the instructions on the wiki page[0]. The first step is to email the appropriate mailing list. If no response is received, then a bug may be opened on bugzilla.kernel.org.

Once this bug is reported upstream, please add the tag: 'kernel-bug-reported-upstream'.

[0] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Incomplete → Triaged
tags: added: kernel-bug-reported-upstream

Note: it is not an upstream bug.

I can not reproduce it like so:
go to terminal
sudo service lightdm stop
pm-suspend

this always works, with 3.11.10, 3.12.14, 3.13.6 and 3.14 rc7

However, when lightdm is running, does not resume.

tags: removed: kernel-bug-reported-upstream

testing reveals that the bug is linked to lightdm
It is not reproducible when lightdm is not running. When lightdm is running, a wide range of kernels show the resume fail. These kernels do not fail resume when lightdm is not running

description: updated
affects: linux (Ubuntu) → lightdm (Ubuntu)

this is a kernel bug. git bisect completed and reported on the upstream report https://bugs.freedesktop.org/show_bug.cgi?id=76520

this is a kernel bug

affects: lightdm (Ubuntu) → linux-meta (Ubuntu)
Özgür BASKIN (ozgur-baskin) wrote :

I have same model of Toshiba and I am having same problem with Linuxmint 17. Resume from suspend freezing the laptop with blank screen(no backlight on LCD panel).

Follow the upstream bug.perhaps you can help with testing.

Özgür BASKIN (ozgur-baskin) wrote :

I just revert back to Linuxmint 16 kernel on linuxmint 17 and everything working again as expected.

Actually not Linuxmint 16 original kernel. Just downloaded latest saucy kernel from mainline/v3.11.10.11-saucy and installed to my Linuxmint 17 system.

Note: I also tested mainline/v3.15-utopic kernel and unfortunately problem still exist.

The good news is that just an hour ago the Intel engineer and I finished testing the fix, so it will go into the kernel soon (I don't know when). Ubuntu kernel developers will pick it up I expect.

Özgür BASKIN (ozgur-baskin) wrote :

I am following upstream bug report. I saw the progress. I will test mainline kernel after released with this fix, then write here about my result. Thank you for your interest about this very annoying bug.

the patch for this has been added to stable kernels 3.15 and 3.14 so I hope it gets picked up by Ubuntu soon.

"""
This is a note to let you know that I've just added the patch titled

    drm/i915: Avoid div-by-zero when pixel_multiplier is zero

to the 3.15-stable tree which can be found at:
    http://www.kernel.org/git/?p=linux/kernel/git/stable/stable-queue.git;a=summary

The filename of the patch is:
     drm-i915-avoid-div-by-zero-when-pixel_multiplier-is-zero.patch
and it can be found in the queue-3.15 subdirectory.

If you, or anyone else, feels it should not be added to the stable tree,
please let <email address hidden> know about it.

From 2b85886a5457f5c5dbcd32edbd4e6bba0f4e8678 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ville=20Syrj=C3=A4l=C3=A4?= <email address hidden>
Date: Mon, 9 Jun 2014 16:20:46 +0300
Subject: drm/i915: Avoid div-by-zero when pixel_multiplier is zero
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

From: Ville Syrjälä <email address hidden>

commit 2b85886a5457f5c5dbcd32edbd4e6bba0f4e8678 upstream.
"""

no longer affects: linux-meta (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
affects: linuxmint → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
tags: added: cherry-pick kernel-fixed-upstream
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.